<?
include('auth.php');
include('common.php');

$do_close=0;
$tut_clause = "AND alive=1";

if (count($_POST) > 0)
{
	$notes = secure_user_input($_POST['notes']);
	$d = $_POST['year']."-".$_POST['month']."-".$_POST['day'];
	$t = $_POST['hours'].":".$_POST['minutes'].":00";
	
	
	if (!$_POST['tid'])
	{
		$MSSG= "There are no tutors assigned to this learner, please assign one.";
	}
	else
	{
	
		if ($_POST['lsid']) //update
		{
			$SQL="UPDATE learnersession 
				SET 
				tutor_id= '".$_POST['tid']."',
				stype= '".$_POST['stype']."',
				notes = '".$notes."',
				thedate = '".$d."',
				duration = '".$t."'
				WHERE id=".$_POST['lsid'];

				//echo $SQL;

			$results = llnb_query($SQL);
			$do_close=1;

		}
		else //insert new record
		{
			$SQL="INSERT INTO learnersession (tutor_id, learner_id, stype, notes, thedate, duration )
			VALUES ('".$_POST['tid']."','".$_POST['lid']."','".$_POST['stype']."' ,'".$notes."', '".$d."', '".$t."')";
			$results = llnb_query($SQL);
			$do_close=1;
		}

	}
	//echo $SQL;
	
	if ($_GET['frompg'] == "learnertimelist")
		$pgreturn= "learner_timelist.php?lid=".$_POST['lid'];
	else	if ($_GET['frompg'] == "tutorlearnerlist")
		$pgreturn= "tutor_learner_list.php?tid=".$_POST['tutor_id'];
	else
		$pgreturn= "learner_list.php";
		
		
}
else 
{
	
	
	if ($_GET['mode']=="edit")
	{
		$SQL="SELECT * , 
			DAY( thedate ) AS theday, MONTH( thedate ) AS themonth, YEAR( thedate ) AS theyear,
			MINUTE( duration ) AS theminutes, HOUR( duration ) AS thehours
			FROM `learnersession` 
			WHERE id=".$_GET['lsid'];
			//echo $SQL;
			
		$results = llnb_query($SQL);
		$row = llnb_fetch_assoc($results);
		$tutsel = $row['tutor_id'];
		
		if ($row['stype']==1)
			$tutoringsel="selected";
		else
			$prepsel="selected";
		
		//we allow unmatched tutors in the EDIT window to appear
		$tut_clause = " ";

			
	}
	
	
	//council- fetch council code associated with learner
	$SQL="SELECT firstname, lastname, council_id FROM learner WHERE id=".$_GET['lid'];
	$results = llnb_query($SQL);
	$rowlearner = llnb_fetch_assoc($results);
	$c=$rowlearner['council_id'];

	
	//if logged as yourself ONLY show yourself for this option
	if ($_SESSION['ulevel'] == $_TUTOR)
		$SQL="SELECT * FROM tutor WHERE id =". $_SESSION['user_id']; 
	else
		$SQL="SELECT * FROM tutor WHERE active=1 AND id IN 
		(SELECT DISTINCT tutor_id FROM tutor_learner WHERE learner_id = ".$_GET['lid']." ".$tut_clause." )"; 
	$results = llnb_query($SQL);

	//in case we are coming from the Tutor's learner list and not editing based on a learn sess id
	if ($_GET['tid'] && $_GET['mode'] != "edit")
	{
		$tutsel = $_GET['tid'];
		$disabled = "disabled"; 
		$hiddentid = "<input type=\"hidden\" name=\"tid\" value=\"".$tutsel."\">";
	
	}
	
	
	$options.="<select name=\"tid\" title=\"tutors\" ".$disabled.">";

	$i=0;
	while($rowt = llnb_fetch_assoc($results))
	{
		
		if ($tutsel== $rowt['id'] )
			$tsel = "selected";
		else
			$tsel ="";
		
		
		//has tutor at some point been unmatched?
		
		
		$options.="<option value=\"".$rowt['id']."\" ".$tsel.">".$rowt['firstname']." ".$rowt['lastname']."</option>\n";
		$i++;
	}
	$options.="</select>
		<input type=\"hidden\" id=\"tutorready\" value=\"1\">

	";

	if ($i==0)
		$options ="No tutors assocaited to learner.  <input type=\"hidden\" id=\"tutorready\" value=\"-1\">";
	
}
?><head>
<link rel="stylesheet" href="css/style.css">
<link rel="stylesheet" href="css/llnb-style.css">

<link href="scripts/SqueezeBox.css" rel="stylesheet" type="text/css" />
<script src="scripts/mootools.js" type="text/javascript" ></script>
<script src="scripts/SqueezeBox.js" type="text/javascript"></script>


<script>
function TutorReady()
{
	if (self.document.getElementById('tutorready').value == -1)
	{
		self.alert("No tutor associated with this learner");
		return false;
	}
	else	if (self.document.getElementById('tutorready').value == 1)
	{
			return true;
	}
	
}
</script>
</head>





<style type="text/css">

body { background-color: #fff; background-image:none; padding: 20px;}
div { font-family: sans-serif; color: #222; }

.btn	{ -moz-border-radius: 7px; -webkit-border-radius: 7px; -khtml-border-radius: 7px; border-radius: 7px; border: 1px #222 solid; background-image: url(img/btn-bg-nor.jpg) ; line-height: 25px; padding: 3px 10px 0; text-decoration: none; color: #222; }
.btn:hover	{ border-color: #33C; color: #33c;}

.btnhidden {border-color: #CCC; background-image: none; font-size: .8em;}

.btncnt	{ width: 160px; text-align:center; display: block; margin-bottom: 10px;}

.btnlrg	{width: 300px; padding-left: 20px;}
.btnsml	{ padding: 1px 10px; font-weight: bold;}
.btnpg	{ padding: 2px 4px 1px; font-size: .75em;margin-right: 4px;}

.lfr	{ float: right; margin-right: 10px;}
.lfl	{ float: left; margin-right: 10px;}
form label { display:block; margin-top: 10px; font-size: .8em; color: #555; }
.session { margin-bottom: 15px; padding-bottom: 10px;}
.talrg	{ width: 500px; height: 60px;}
</style>

<? 
if ($do_close) 
	echo "<script>parent.location.href='".$pgreturn."';</script>"; 

?>

<div style="width: 500px;">
<h2>Add Session Time for:<br />
   Learner <? echo $rowlearner['firstname']." ".$rowlearner['lastname']; ?></h2>
   
<form name="addtime" action="learner_time_m.php?frompg=<?=$_GET['frompg'];?>" method="post"  onSubmit="return TutorReady();">

<div class="session">
<div style="float:left; display:block;  margin-bottom: 15px;">

<label style="display:block; color: red;"><?=$MSSG;?></label>

<div style="float:left;display:block;">
<label style="display:block;">Tutor:</label>
<?= $options; ?>
<?=$hiddentid;?>
</div>
<div style="clear:both;"></div>

<div style="float:left;display:block;">

<label style="display:block;">Date:</label>
<select name="month" title="month">
       	<?
       	$mymon = ($_POST['month']) ? stripslashes($_POST['month']) : $row['themonth'];
       	echo buildMonthDropdown($mymon, $_MONTHS_abbr); 
       	?>
</select>
<select name="day" title="date">
       	<?
       	$myday = ($_POST['day']) ? stripslashes($_POST['day']) : $row['theday'];
       	echo buildDayDropdown($myday); 
       	?>
</select>

<select name="year" title="Year">
       	<?
       	$myyear = ($_POST['year']) ? stripslashes($_POST['year']) : $row['theyear'];
       	echo buildYearDropdown($myyear, date('Y')); 
       	?>
</select>
</div>
<div style="float:left; margin-left: 15px;">
<label style="display:block;">Session Type:</label>
<select name="stype" title="Session Type">
  <option value="1" <?= $tutoringsel;?>>Tutoring</option>
  <option value="2"  <?= $prepsel;?> >Prep</option>
</select>
</div>

<div class=" input plusleft">
<label>Amount:</label>
<select name="hours" title="amounthr">
<?
$myhrs = ($_POST['hours']) ? stripslashes($_POST['hours']) : $row['thehours'];
echo buildHourDropdown($myhrs);
?>
</select>

<select name="minutes" title="amountmin">
<? 
$mymin = ($_POST['minutes']) ? stripslashes($_POST['minutes']) : $row['theminutes'];
echo buildMinDropdown($mymin);
?>
</select>

</div>
</div>
<div style="clear:both;"></div>
<input type="hidden" name="lid" value="<?=$_GET['lid'];?>">



<label>Session notes:</label>
<textarea name="notes" cols="" rows="3"  class="talrg">
<?= ($_POST['notes']) ? stripslashes($_POST['notes']) : $row['notes']; ?>
</textarea>

</div>

<p class="clearfix">
<input type="submit"  class="btnlfr_m" value="Save &amp; Close">
<a href="#" onclick="parent.SqueezeBox.close();"class="btn lfr">Cancel</a></p>
<input type="hidden" value="<?=$_GET['lsid'];?>" name="lsid">
<input type="hidden" value="<?=$_GET['tid'];?>" name="tutor_id">


</form>
</div>